//-----------------------------------------
// ATCopyPause -- LScript Genetic
// Noboru Fujiyama 2003/05/27
//                 2003/09/25  add Automaton Model
//  Save Acs3b\Automaton Local Rotaion 
//
//  use IKtoRotClient.ls 
//  use temporay dir [Content]/temp/localrot/
//parameter 
//  Save Local Rot file : load file name 
@version 2.5
@script generic
@name ATCopyPoseZ

@define AUTOMATON_VER 3.0

// BASE Libray select/key/channel
@insert "C:/Tools/LWPlugin/NoboUtility/AutomatonV2/src/ATLib.lsi"

// Matrix Libray
@insert "C:/Tools/LWPlugin/NoboUtility/AutomatonV2/src/ATMatrix.lsi"

/*************** Item Name Table ********************/
@insert "C:/Tools/LWPlugin/NoboUtility/AutomatonV2/src/MBNameTable.lsi"
/*************** Item Name Table ********************/

generic 
{
	curScene = Scene();
	/* puah seleced item */
	xSelected = curScene.firstSelect();
	if( xSelected == nil)
	{
		error("<br>You must select something before performing this operation." );
		return;		
	}	
	push_selected_item( curScene , xSelected );

	if( 0 == ( nItemType = check_item( s_xParentItem , get_trans_and_rotaion_name() , 14 ) ) )
	{
		error("<br>You must select Automaton character Item ." );
		return;		
	}

	curItem = select_by_name( s_xParentItem , "Master" );
	s_xParentItem = curItem ;
	
	
	fileName = get_temp_filename() ;
	
	if((textFile = File( fileName , "w" ) ) == nil)
	{
		error("Dos not open file ", fileName );
		return;		
	}
	
	/********* save item *********/
	asRotationName = get_rotation_name() ;
	for( i = 1 ; i <=  asRotationName.count() ; i++ )
	{
		obj = curItem;
		outputLocalRot( obj , asRotationName[ i ] , curScene.currenttime , textFile ) ;
	}
	asTransAndRotationName = get_trans_and_rotaion_name();
	for( i = 1 ; i <= asTransAndRotationName.count() ; i++ )
	{
		obj = curItem;
		outputLocalTR( obj , asTransAndRotationName[ i ] , curScene.currenttime , textFile ) ;
	}
	for( i = 1 ; i <= s_asFingerRot.count() ; i++ )
	{
		obj = curItem;
		outputLocalRot( obj , s_asFingerRot[ i ] , curScene.currenttime , textFile ) ;
	}

	textFile.close() ;
	
	/* pop seleced item  */
	pop_selected_item( ) ;
}


